Page MenuHomePhabricator

Update Tesseract on Toolforge to v4.1.0
Closed, ResolvedPublic

Description

Community Tech is working on building an OCR tool for Wikisource (per the Community Wishlist). As part of this work, we would like to request that Tesseract on Toolforge be upgraded from 4.0.0-beta.1 to 4.1.0 if possible. This update should fix some bounding box problems, which are especially important for Wikisource, e.g. for dealing with text in columns, as well as some other serious bugs in the beta version.

Event Timeline

kaldari created this task.Mar 11 2020, 4:31 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 11 2020, 4:31 PM
kaldari updated the task description. (Show Details)Mar 11 2020, 4:35 PM
kaldari updated the task description. (Show Details)Mar 11 2020, 4:56 PM
bd808 added a subscriber: bd808.

https://packages.debian.org/search?keywords=tesseract-ocr

4.1.1 seems to be in Debian testing (bullseye). We would have to backport it from bullseye to stretch ourselves to install it for the grid engine and bastions. That opens up the issue of then needing to track future bug fix package updates in bullseye in perpetuity as Debian Stretch is already providing 4.0.0 via stretch-backports.

@bd808 - Would it be significantly easier to upgrade to v4.0.0 (not beta) rather than v4.1? If so, we could try that and see how well it works.

@bd808 - Would it be significantly easier to upgrade to v4.0.0 (not beta) rather than v4.1? If so, we could try that and see how well it works.

The packages we have installed are v4.0.0. The funny looking package version (4.0.0-2~bpo9+1) indicates that it is a backported package (bpo), not a beta version.

Hmm, when I do tesseract --version on Toolforge it says tesseract 4.0.0-beta.1, but maybe they forgot to bump the version string??

As 4.0.0-2~bpo9+1 (which seems to be based on a beta version) is the only v4 backport for Stretch, I guess that means upgrading to 4.0.0 would be just as difficult as upgrading to 4.1, in which case I guess upgrading to 4.1 is still the best option.

Backporting 4.1.1 to buster is something that can be done.

I just built the package locally. Could you please give it a try (that it can be installed, works, etc) before I put this in the repo?

Ok I got this wrong, @bd808 just mentioned to me that this needs to be done in Toolforge, and not any other generic CloudVPS project. I will update toolforge with those new packages and let you know!

aborrero claimed this task.Mar 25 2020, 3:54 PM
aborrero moved this task from Needs discussion to Doing on the cloud-services-team (Kanban) board.

Thanks @aborrero! And like I told Bryan this is not super high priority, so if it turns out to be difficult, we'll just work with the currently-installed beta version and hope for the best.

aborrero triaged this task as Low priority.Apr 6 2020, 5:28 PM

I think I got another thing wrong: I did the backport from bullseye (testing) to buster (stable).

From re-reading the comments, I think we actually need from bullseye (testing) to stretch (old-stable) which is what our grid runs.

Mentioned in SAL (#wikimedia-cloud) [2020-05-19T12:20:44Z] <arturo> trying to install tesseract 4.1.0 in toolsbeta-sgebastion-04 (T247422)

Change 597309 had a related patch set uploaded (by Arturo Borrero Gonzalez; owner: Arturo Borrero Gonzalez):
[operations/puppet@production] aptrepo: add stretch-wikimedia component/tesseract-410-bpo

https://gerrit.wikimedia.org/r/597309

Change 597309 merged by Arturo Borrero Gonzalez:
[operations/puppet@production] aptrepo: add stretch-wikimedia component/tesseract-410-bpo

https://gerrit.wikimedia.org/r/597309

Mentioned in SAL (#wikimedia-operations) [2020-05-19T17:09:22Z] <arturo> added tesseract suite to stretch-wikimedia component/tesseract-410-bpo (T247422)

Change 597316 had a related patch set uploaded (by Arturo Borrero Gonzalez; owner: Arturo Borrero Gonzalez):
[operations/puppet@production] toolforge: exec environment: use newer tesseract suite

https://gerrit.wikimedia.org/r/597316

Change 597316 merged by Arturo Borrero Gonzalez:
[operations/puppet@production] toolforge: exec environment: use newer tesseract suite

https://gerrit.wikimedia.org/r/597316

Mentioned in SAL (#wikimedia-cloud) [2020-05-20T09:23:49Z] <arturo> aborrero@cloud-cumin-01:~$ sudo cumin --force -x 'O{project:tools name:tools-sge[bcew].*}' 'rm /etc/apt/preferences.d/* ; run-puppet-agent' (T247422)

Mentioned in SAL (#wikimedia-cloud) [2020-05-20T09:35:14Z] <arturo> aborrero@cloud-cumin-01:~$ sudo cumin --force -x 'O{project:tools name:tools-sge[bcew].*}' 'rm /etc/apt/sources.lists.d/kubeadm-k8s-component-repo.list ; rm /etc/apt/sources.list.d/repository_thirdparty-kubeadm-k8s-1-15.list ; run-puppet-agent' (T247422)

Mentioned in SAL (#wikimedia-cloud) [2020-05-20T09:50:08Z] <arturo> aborrero@cloud-cumin-01:~$ sudo cumin --force -x 'O{project:tools name:tools-sge[bcew].*}' 'apt-get install tesseract-ocr -t stretch-backports -y' (T247422)

Mentioned in SAL (#wikimedia-cloud) [2020-05-20T09:59:49Z] <arturo> now running tesseract-ocr v4.1.1-2~bpo9+1 in the Toolforge grid (T247422)

hey @kaldari I finally deployed tesseract v4.1.0 in Toolforge.

I would need someone to test that it really works, ideally by using the software itself. Could either you or any of your contacts do this testing?

If it turns out it doesn't work (at runtime) we can just rollback to the previous version. I will send an announcement to our cloud mailing lists to give a heads up to folks who may be interested too.

Pine added a subscriber: Pine.May 20 2020, 6:10 PM

Hi @aborrero, I was getting ready to forward your email announcement from the Cloud list to the WIkisource list, but I see a version discrepancy. Your email says that the new version is 4.1.1, but in your post above you say that the version is 4.1.0. Stashbot appears to refer to 4.1.1-2~bpo9+1. Which version number is correct?

After you sort out the version number then I recommend that you forward your email to the Wikisource email list and ask people to test the software.

bd808 added a comment.May 20 2020, 9:50 PM

Versions seem a bit mixed on dev.toolforge.org and most of the language and script packs are not in the new apt component.

Currently installed
$ dpkg-installed |grep tesseract
libtesseract4:amd64  4.1.1-2~bpo9+1
tesseract-ocr        4.1.1-2~bpo9+1
tesseract-ocr-afr    4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-all    4.0.0-2~bpo9+1
tesseract-ocr-amh    4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-ara    4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-asm    4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-aze    4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-aze-cyrl 4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-bel    4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-ben    4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-bod    4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-bos    4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-bre    4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-bul    4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-cat    4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-ceb    4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-ces    4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-chi-sim 4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-chi-sim-vert 4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-chi-tra 4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-chi-tra-vert 4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-chr    4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-cos    4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-cym    4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-dan    4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-deu    4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-deu-frak 3.04.00-1
tesseract-ocr-div    4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-dzo    4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-ell    4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-eng    4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-enm    4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-epo    4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-equ    3.04.00-1
tesseract-ocr-est    4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-eus    4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-fao    4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-fas    4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-fil    4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-fin    4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-fra    4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-frk    4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-frm    4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-fry    4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-gla    4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-gle    4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-glg    4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-grc    1:4.00~git30-7274cfa-1~bpo9+1
tesseract-ocr-guj    4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-hat    4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-heb    4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-hin    4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-hrv    4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-hun    4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-hye    4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-iku    4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-ind    4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-isl    4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-ita    4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-ita-old 4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-jav    4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-jpn    4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-jpn-vert 4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-kan    4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-kat    4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-kat-old 4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-kaz    4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-khm    4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-kir    4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-kmr    1:4.00~git30-7274cfa-1~bpo9+1
tesseract-ocr-kor    4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-kor-vert 4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-kur-ara 4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-lao    4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-lat    4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-lav    4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-lit    4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-ltz    4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-mal    4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-mar    4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-mkd    4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-mlt    4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-mon    4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-mri    4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-msa    4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-mya    4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-nep    4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-nld    4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-nor    4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-oci    4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-ori    4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-osd    4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-pan    4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-pol    4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-por    4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-pus    4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-que    4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-ron    4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-rus    4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-san    4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-script-arab 4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-script-armn 4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-script-beng 4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-script-cans 4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-script-cher 4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-script-cyrl 4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-script-deva 4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-script-ethi 4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-script-frak 4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-script-geor 4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-script-grek 4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-script-gujr 4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-script-guru 4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-script-hang 4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-script-hang-vert 4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-script-hans 4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-script-hans-vert 4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-script-hant 4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-script-hant-vert 4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-script-hebr 4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-script-jpan 4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-script-jpan-vert 4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-script-khmr 4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-script-knda 4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-script-laoo 4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-script-latn 4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-script-mlym 4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-script-mymr 4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-script-orya 4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-script-sinh 4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-script-syrc 4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-script-taml 4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-script-telu 4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-script-thaa 4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-script-thai 4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-script-tibt 4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-script-viet 4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-sin    4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-slk    4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-slk-frak 3.04.00-1
tesseract-ocr-slv    4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-snd    4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-spa    4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-spa-old 4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-sqi    4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-srp    4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-srp-latn 4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-sun    4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-swa    4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-swe    4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-syr    4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-tam    4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-tat    4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-tel    4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-tgk    4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-tgl    3.04.00-1
tesseract-ocr-tha    4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-tir    4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-ton    4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-tur    4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-uig    4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-ukr    4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-urd    4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-uzb    4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-uzb-cyrl 4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-vie    4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-yid    4.00~git28-f7a4c12-1~bpo9+1
tesseract-ocr-yor    4.00~git28-f7a4c12-1~bpo9+1
Pending updates
$ sudo apt-get dist-upgrade --dry-run | grep 'Inst tesseract'
Inst tesseract-ocr-afr [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-bul [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-cat [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-ces [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-dan [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-deu [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-ell [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-eng [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-fin [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-fra [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-hun [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-ind [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-ita [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-lav [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-lit [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-nld [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-nor [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-pol [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-por [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-ron [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-rus [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-slk [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-slv [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-spa [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-srp [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-swe [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-tur [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-ukr [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-vie [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-chi-sim [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-chi-tra [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-amh [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-asm [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-aze-cyrl [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-bod [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-bos [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-ceb [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-cym [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-dzo [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-fas [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-gle [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-guj [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-hat [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-iku [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-jav [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-kat [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-kat-old [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-kaz [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-khm [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-kir [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-lao [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-lat [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-mar [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-mya [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-nep [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-ori [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-pan [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-pus [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-san [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-sin [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-srp-latn [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-syr [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-tgk [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-tir [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-uig [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-urd [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-uzb-cyrl [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-uzb [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-yid [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-osd [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-ara [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-aze [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-bel [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-ben [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-chr [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-enm [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-epo [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-est [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-eus [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-frk [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-frm [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-glg [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-heb [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-hin [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-hrv [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-isl [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-ita-old [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-jpn [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-kan [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-kor [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-mal [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-mkd [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-mlt [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-msa [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-spa-old [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-sqi [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-swa [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-tam [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-tel [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-tha [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-bre [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-chi-sim-vert [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-chi-tra-vert [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-cos [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-div [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-fao [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-fil [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-fry [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-gla [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-hye [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-jpn-vert [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-kor-vert [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-ltz [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-mon [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-mri [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-oci [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-que [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-snd [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-sun [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-tat [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-ton [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-yor [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-script-arab [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-script-armn [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-script-beng [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-script-cans [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-script-cher [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-script-cyrl [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-script-deva [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-script-ethi [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-script-frak [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-script-geor [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-script-grek [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-script-gujr [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-script-guru [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-script-hans [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-script-hans-vert [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-script-hant [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-script-hant-vert [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-script-hang [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-script-hang-vert [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-script-hebr [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-script-jpan [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-script-jpan-vert [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-script-knda [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-script-khmr [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-script-laoo [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-script-latn [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-script-mlym [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-script-mymr [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-script-orya [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-script-sinh [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-script-syrc [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-script-taml [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-script-telu [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-script-thaa [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-script-thai [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-script-tibt [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-script-viet [4.00~git28-f7a4c12-1~bpo9+1] (1:4.00~git30-7274cfa-1~bpo9+1 Debian Backports:stretch-backports [all])
Inst tesseract-ocr-all [4.0.0-2~bpo9+1] (4.1.1-2~bpo9+1 Wikimedia:9/stretch-wikimedia [all])
Policy spot check
$ apt policy tesseract-ocr-all
tesseract-ocr-all:
  Installed: 4.0.0-2~bpo9+1
  Candidate: 4.1.1-2~bpo9+1
  Version table:
     4.1.1-2~bpo9+1 1001
       1001 http://apt.wikimedia.org/wikimedia stretch-wikimedia/component/tesseract-410-bpo amd64 Packages
 *** 4.0.0-2~bpo9+1 100
        100 http://mirrors.wikimedia.org/debian stretch-backports/main amd64 Packages
        100 /var/lib/dpkg/status
     3.04.01-5 500
        500 http://deb.debian.org/debian stretch/main amd64 Packages
$ apt policy tesseract-ocr-que
tesseract-ocr-que:
  Installed: 4.00~git28-f7a4c12-1~bpo9+1
  Candidate: 1:4.00~git30-7274cfa-1~bpo9+1
  Version table:
     1:4.00~git30-7274cfa-1~bpo9+1 100
        100 http://mirrors.wikimedia.org/debian stretch-backports/main amd64 Packages
 *** 4.00~git28-f7a4c12-1~bpo9+1 100
        100 /var/lib/dpkg/status

@aborrero - Awesome! I just tested it from Tool Forge and it seems to work:

kaldari@tools-sgebastion-07:~/ocr$ tesseract hindi-test.jpg hindi-test-output-new
Tesseract Open Source OCR Engine v4.1.1 with Leptonica
Warning: Invalid resolution 0 dpi. Using 70 instead.
Estimating resolution as 280
kaldari@tools-sgebastion-07:~/ocr$

Thanks for your work on this!

aborrero closed this task as Resolved.May 21 2020, 10:50 AM

@bd808 the tesseract-ocr-all is a metapackage, it has no content but just dependencies to all the lang-specific packages.
The lang-specific packages don't have a strong dependency on the version of tesseract. It seems we can have tesseract-ocr 4.1.1 and the lang-specific pack in 4.0 or whatever. Actually, there are no lang-specific packages in 4.1.1 in Debian.

Anyways, for clarity, I made sure the tesseract-ocr-all package matches the version of tesseract-ocr:

aborrero@cloud-cumin-01:~$ sudo cumin --force -x 'O{project:tools name:tools-sge[bcew].*}' 'apt-cache policy tesseract-ocr-all tesseract-ocr'
IGNORE EXIT CODES mode enabled, all commands executed will be considered successful
56 hosts will be targeted:
tools-sgebastion-[07-09].tools.eqiad.wmflabs,tools-sgecron-01.tools.eqiad.wmflabs,tools-sgeexec-[0901,0904-0942].tools.eqiad.wmflabs,tools-sgewebgrid-generic-[0901-0902].tools.eqiad.wmflabs,tools-sgewebgrid-lighttpd-[0911-0920].tools.eqiad.wmflabs
FORCE mode enabled, continuing without confirmation
===== NODE GROUP =====                                                                                                                                                                                             
(56) tools-sgebastion-[07-09].tools.eqiad.wmflabs,tools-sgecron-01.tools.eqiad.wmflabs,tools-sgeexec-[0901,0904-0942].tools.eqiad.wmflabs,tools-sgewebgrid-generic-[0901-0902].tools.eqiad.wmflabs,tools-sgewebgrid-lighttpd-[0911-0920].tools.eqiad.wmflabs                                                                                                                                                                          
----- OUTPUT of 'apt-cache policy...ll tesseract-ocr' -----                                                                                                                                                        
tesseract-ocr-all:                                                                                                                                                                                                 
  Installed: 4.1.1-2~bpo9+1                                                                                                                                                                                        
  Candidate: 4.1.1-2~bpo9+1
  Version table:
 *** 4.1.1-2~bpo9+1 1001
       1001 http://apt.wikimedia.org/wikimedia stretch-wikimedia/component/tesseract-410-bpo amd64 Packages
        100 /var/lib/dpkg/status
     4.0.0-2~bpo9+1 100
        100 http://mirrors.wikimedia.org/debian stretch-backports/main amd64 Packages
     3.04.01-5 500
        500 http://deb.debian.org/debian stretch/main amd64 Packages
tesseract-ocr:
  Installed: 4.1.1-2~bpo9+1
  Candidate: 4.1.1-2~bpo9+1
  Version table:
 *** 4.1.1-2~bpo9+1 1001
       1001 http://apt.wikimedia.org/wikimedia stretch-wikimedia/component/tesseract-410-bpo amd64 Packages
        100 /var/lib/dpkg/status
     4.0.0-2~bpo9+1 100
        100 http://mirrors.wikimedia.org/debian stretch-backports/main amd64 Packages
     3.04.01-5 500
        500 http://deb.debian.org/debian stretch/main amd64 Packages
================                                                          

Hi @aborrero, I was getting ready to forward your email announcement from the Cloud list to the WIkisource list, but I see a version discrepancy. Your email says that the new version is 4.1.1, but in your post above you say that the version is 4.1.0. Stashbot appears to refer to 4.1.1-2~bpo9+1. Which version number is correct?

After you sort out the version number then I recommend that you forward your email to the Wikisource email list and ask people to test the software.

Your concern is very valid, my fault.

But mind this: the upstream 'branch version' is v4.1.x, the upstream 'patch version' is 4.1.1 and the debian package version is 4.1.1-2~bpo9+1. From a certain point of view all the version statements are correct :-)

@aborrero - Awesome! I just tested it from Tool Forge and it seems to work:

Great, closing task now!

Please feel free to reopen if required.

Andrew reopened this task as Open.Aug 21 2020, 12:46 AM
Andrew added a subscriber: Andrew.

It's no longer possible to install Tesseract-ocr on toolforge. Existing sgeexec nodes have the mix of versions shown above, but if I try to reproduce it I get various failures. I've tried re-ordering or installing a lower version but it just gets worse and worse. This is an example from a new node, tools-sgeexec-0945:

Error: Execution of '/usr/bin/apt-get -q -y -o DPkg::Options::=--force-confold install tesseract-ocr-all' returned 100: Reading package lists...
Building dependency tree...
Reading state information...
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 tesseract-ocr-all : Depends: tesseract-ocr but it is not going to be installed
E: Unable to correct problems, you have held broken packages.
Error: /Stage[main]/Profile::Toolforge::Grid::Exec_environ/Apt::Package_from_component[tesseract]/Package[tesseract-ocr-all]/ensure: change from 'purged' to 'present' failed: Execution of '/usr/bin/apt-get -q -y -o DPkg::Options::=--force-confold install tesseract-ocr-all' returned 100: Reading package lists...
Building dependency tree...
Reading state information...
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 tesseract-ocr-all : Depends: tesseract-ocr but it is not going to be installed
E: Unable to correct problems, you have held broken packages.
Error: Execution of '/usr/bin/apt-get -q -y -o DPkg::Options::=--force-confold install tesseract-ocr' returned 100: Reading package lists...
Building dependency tree...
Reading state information...
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 tesseract-ocr : Depends: liblept5 (>= 1.75.3) but 1.74.1-1 is to be installed
                 Depends: libtesseract4 (= 4.1.1-2~bpo9+1) but it is not going to be installed
                 Depends: tesseract-ocr-eng (>= 4.00~) but 3.04.00-1 is to be installed
                 Depends: tesseract-ocr-osd (>= 4.00~) but 3.04.00-1 is to be installed
E: Unable to correct problems, you have held broken packages.
Error: /Stage[main]/Profile::Toolforge::Grid::Exec_environ/Apt::Package_from_component[tesseract]/Package[tesseract-ocr]/ensure: change from 'purged' to 'present' failed: Execution of '/usr/bin/apt-get -q -y -o DPkg::Options::=--force-confold install tesseract-ocr' returned 100: Reading package lists...
Building dependency tree...
Reading state information...
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 tesseract-ocr : Depends: liblept5 (>= 1.75.3) but 1.74.1-1 is to be installed
                 Depends: libtesseract4 (= 4.1.1-2~bpo9+1) but it is not going to be installed
                 Depends: tesseract-ocr-eng (>= 4.00~) but 3.04.00-1 is to be installed
                 Depends: tesseract-ocr-osd (>= 4.00~) but 3.04.00-1 is to be installed
E: Unable to correct problems, you have held broken packages.
Error: Execution of '/usr/bin/apt-get -q -y -o DPkg::Options::=--force-confold install libtesseract4' returned 100: Reading package lists...
Building dependency tree...
Reading state information...
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 libtesseract4 : Depends: liblept5 (>= 1.75.3) but 1.74.1-1 is to be installed
E: Unable to correct problems, you have held broken packages.
Error: /Stage[main]/Profile::Toolforge::Grid::Exec_environ/Apt::Package_from_component[tesseract]/Package[libtesseract4]/ensure: change from 'purged' to 'present' failed: Execution of '/usr/bin/apt-get -q -y -o DPkg::Options::=--force-confold install libtesseract4' returned 100: Reading package lists...
Building dependency tree...
Reading state information...
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 libtesseract4 : Depends: liblept5 (>= 1.75.3) but 1.74.1-1 is to be installed
E: Unable to correct problems, you have held broken packages.

liblept5 was 1.76.0-1~bpo9+1 in stretch-backports but is now down to 1.74.1-1 in plain stretch - we need >= 1.75.3. I would suggest importing the 1.76.0-1~bpo9+1 version into our tesseract-410-bpo component.

Mentioned in SAL (#wikimedia-operations) [2020-08-24T11:32:09Z] <arturo> add liblept5 1.76.0-1~bpo9+1 (and leptonica-progs) to stretch-wikimedia/component/tesseract-410-bpo (T247422)

Thanks for the hint @Legoktm . Please @Andrew try again!

I just tried to build a fresh sgeexec node (tools-sgeexec-0943) and I'm still in dependency hell:

Error: Execution of '/usr/bin/apt-get -q -y -o DPkg::Options::=--force-confold install tesseract-ocr-all' returned 100: Reading package lists...
Building dependency tree...
Reading state information...
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 tesseract-ocr-all : Depends: tesseract-ocr but it is not going to be installed
                     Depends: tesseract-ocr-amh but it is not going to be installed
                     Depends: tesseract-ocr-asm but it is not going to be installed
                     Depends: tesseract-ocr-aze-cyrl but it is not going to be installed
                     Depends: tesseract-ocr-bod but it is not going to be installed
                     Depends: tesseract-ocr-bos but it is not going to be installed
                     Depends: tesseract-ocr-ceb but it is not going to be installed
                     Depends: tesseract-ocr-cym but it is not going to be installed
                     Depends: tesseract-ocr-dzo but it is not going to be installed
                     Depends: tesseract-ocr-fas but it is not going to be installed
                     Depends: tesseract-ocr-gle but it is not going to be installed
                     Depends: tesseract-ocr-guj but it is not going to be installed
                     Depends: tesseract-ocr-hat but it is not going to be installed
                     Depends: tesseract-ocr-iku but it is not going to be installed
                     Depends: tesseract-ocr-jav but it is not going to be installed
                     Depends: tesseract-ocr-kat but it is not going to be installed
                     Depends: tesseract-ocr-kat-old but it is not going to be installed
                     Depends: tesseract-ocr-kaz but it is not going to be installed
                     Depends: tesseract-ocr-khm but it is not going to be installed
                     Depends: tesseract-ocr-kir but it is not going to be installed
                     Depends: tesseract-ocr-lao but it is not going to be installed
                     Depends: tesseract-ocr-lat but it is not going to be installed
                     Depends: tesseract-ocr-mar but it is not going to be installed
                     Depends: tesseract-ocr-mya but it is not going to be installed
                     Depends: tesseract-ocr-nep but it is not going to be installed
                     Depends: tesseract-ocr-ori but it is not going to be installed
                     Depends: tesseract-ocr-pan but it is not going to be installed
                     Depends: tesseract-ocr-pus but it is not going to be installed
                     Depends: tesseract-ocr-san but it is not going to be installed
                     Depends: tesseract-ocr-sin but it is not going to be installed
                     Depends: tesseract-ocr-srp-latn but it is not going to be installed
                     Depends: tesseract-ocr-syr but it is not going to be installed
                     Depends: tesseract-ocr-tgk but it is not going to be installed
                     Depends: tesseract-ocr-tir but it is not going to be installed
                     Depends: tesseract-ocr-uig but it is not going to be installed
                     Depends: tesseract-ocr-urd but it is not going to be installed
                     Depends: tesseract-ocr-uzb but it is not going to be installed
                     Depends: tesseract-ocr-uzb-cyrl but it is not going to be installed
                     Depends: tesseract-ocr-yid but it is not going to be installed
E: Unable to correct problems, you have held broken packages.
Error: /Stage[main]/Profile::Toolforge::Grid::Exec_environ/Apt::Package_from_component[tesseract]/Package[tesseract-ocr-all]/ensure: change from 'purged' to 'present' failed: Execution of '/usr/bin/apt-get -q -y -o DPkg::Options::=--force-confold install tesseract-ocr-all' returned 100: Reading package lists...
Building dependency tree...
Reading state information...
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 tesseract-ocr-all : Depends: tesseract-ocr but it is not going to be installed
                     Depends: tesseract-ocr-amh but it is not going to be installed
                     Depends: tesseract-ocr-asm but it is not going to be installed
                     Depends: tesseract-ocr-aze-cyrl but it is not going to be installed
                     Depends: tesseract-ocr-bod but it is not going to be installed
                     Depends: tesseract-ocr-bos but it is not going to be installed
                     Depends: tesseract-ocr-ceb but it is not going to be installed
                     Depends: tesseract-ocr-cym but it is not going to be installed
                     Depends: tesseract-ocr-dzo but it is not going to be installed
                     Depends: tesseract-ocr-fas but it is not going to be installed
                     Depends: tesseract-ocr-gle but it is not going to be installed
                     Depends: tesseract-ocr-guj but it is not going to be installed
                     Depends: tesseract-ocr-hat but it is not going to be installed
                     Depends: tesseract-ocr-iku but it is not going to be installed
                     Depends: tesseract-ocr-jav but it is not going to be installed
                     Depends: tesseract-ocr-kat but it is not going to be installed
                     Depends: tesseract-ocr-kat-old but it is not going to be installed
                     Depends: tesseract-ocr-kaz but it is not going to be installed
                     Depends: tesseract-ocr-khm but it is not going to be installed
                     Depends: tesseract-ocr-kir but it is not going to be installed
                     Depends: tesseract-ocr-lao but it is not going to be installed
                     Depends: tesseract-ocr-lat but it is not going to be installed
                     Depends: tesseract-ocr-mar but it is not going to be installed
                     Depends: tesseract-ocr-mya but it is not going to be installed
                     Depends: tesseract-ocr-nep but it is not going to be installed
                     Depends: tesseract-ocr-ori but it is not going to be installed
                     Depends: tesseract-ocr-pan but it is not going to be installed
                     Depends: tesseract-ocr-pus but it is not going to be installed
                     Depends: tesseract-ocr-san but it is not going to be installed
                     Depends: tesseract-ocr-sin but it is not going to be installed
                     Depends: tesseract-ocr-srp-latn but it is not going to be installed
                     Depends: tesseract-ocr-syr but it is not going to be installed
                     Depends: tesseract-ocr-tgk but it is not going to be installed
                     Depends: tesseract-ocr-tir but it is not going to be installed
                     Depends: tesseract-ocr-uig but it is not going to be installed
                     Depends: tesseract-ocr-urd but it is not going to be installed
                     Depends: tesseract-ocr-uzb but it is not going to be installed
                     Depends: tesseract-ocr-uzb-cyrl but it is not going to be installed
                     Depends: tesseract-ocr-yid but it is not going to be installed
E: Unable to correct problems, you have held broken packages.
Error: Execution of '/usr/bin/apt-get -q -y -o DPkg::Options::=--force-confold install tesseract-ocr' returned 100: Reading package lists...
Building dependency tree...
Reading state information...
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 tesseract-ocr : Depends: tesseract-ocr-eng (>= 4.00~) but 3.04.00-1 is to be installed
                 Depends: tesseract-ocr-osd (>= 4.00~) but 3.04.00-1 is to be installed
E: Unable to correct problems, you have held broken packages.
Error: /Stage[main]/Profile::Toolforge::Grid::Exec_environ/Apt::Package_from_component[tesseract]/Package[tesseract-ocr]/ensure: change from 'purged' to 'present' failed: Execution of '/usr/bin/apt-get -q -y -o DPkg::Options::=--force-confold install tesseract-ocr' returned 100: Reading package lists...
Building dependency tree...
Reading state information...
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 tesseract-ocr : Depends: tesseract-ocr-eng (>= 4.00~) but 3.04.00-1 is to be installed
                 Depends: tesseract-ocr-osd (>= 4.00~) but 3.04.00-1 is to be installed
E: Unable to correct problems, you have held broken packages.
Info: Stage[main]: Unscheduling all events on Stage[main]
Notice: Applied catalog in 54.08 seconds

we may need to add to our repo all the individual lang packages. Will do soon.

Mentioned in SAL (#wikimedia-operations) [2020-08-25T10:37:11Z] <arturo> import all binary packages from tesseract-ocr-lang into stretch-wikimedia/component/tesseract-410-bpo (T247422)

aborrero closed this task as Resolved.Aug 25 2020, 10:45 AM

it works now!

aborrero@tools-sgeexec-0943:~$ sudo puppet agent -tv
Info: Using configured environment 'production'
Info: Retrieving pluginfacts
Info: Retrieving plugin
Info: Retrieving locales
Info: Loading facts
Info: Caching catalog for tools-sgeexec-0943.tools.eqiad.wmflabs
Info: Applying configuration version '(062b7dd46f) Filippo Giunchedi - karma: match Icinga background colors for 'severity' and hide 'info' label'
Notice: The LDAP client stack for this host is: sssd/sudo
Notice: /Stage[main]/Profile::Ldap::Client::Labs/Notify[LDAP client stack]/message: defined 'message' as 'The LDAP client stack for this host is: sssd/sudo'
Notice: /Stage[main]/Ldap::Client::Sssd/Exec[pam-auth-enable-mkhomedir]/returns: executed successfully
Notice: /Stage[main]/Profile::Toolforge::Grid::Exec_environ/Apt::Package_from_component[tesseract]/Package[tesseract-ocr-all]/ensure: created
Notice: Applied catalog in 121.89 seconds